org.apache.fop.render.java2d

## Class Java2DRendererConfig

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class Java2DRendererConfig
    extends Object
    implements RendererConfig

The Java2D renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `Java2DRendererConfig.Java2DRendererConfigParser` The Java2D renderer configuration data parser.

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`Boolean` `isPageBackgroundTransparent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config

#### isPageBackgroundTransparent

    public Boolean isPageBackgroundTransparent()